#include "RepoEditorContextMenu.h"
#include "RepoEditor.h"

RepoEditor::ContextMenu::ContextMenu(Model*    model,
                                     QWidget*  parent)
   : QMenu(),
     model(model),
     parent(parent)
{
   QAction*  browseAction = new QAction(tr("Browse Repository"), this);

   addAction(browseAction);

   connect(browseAction, SIGNAL(triggered()), this, SLOT(handleBrowseAction()));
}

void  RepoEditor::ContextMenu::exec(QModelIndex    ix,
                                    const QPoint&  pos)
{
   this->ix = ix;

   QMenu::exec(pos);
}

void  RepoEditor::ContextMenu::handleBrowseAction()
{
   model->browse(ix, parent);
}
